package com.yeejoin.amos.boot.module.ugp.api.Enum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * 告知、问题短信通知枚举
 */
@Getter
@AllArgsConstructor
public enum RectifyMsgEnum {
    告知短信("告知短信", "0"),
    问题短信("问题短信", "1");
    private String name;
    private String state;

    public static final Map<String, String> map = new HashMap<>();

    static {
        for (WeldMethodEnum weldMethodEnum : WeldMethodEnum.values()) {
            map.put(weldMethodEnum.getName(), weldMethodEnum.getState());
        }
    }
}
